#!/bin/bash -e

for id in $(virsh list --uuid); do
  IFS=$'\n'
  for _vnet in $(virsh domiflist "$id" | tail -n+3); do
    IFS=' '
    vnet=($_vnet)

    if ! brctl show "${vnet[2]}" | grep -qFw "${vnet[0]}"; then
      virsh detach-interface "$id" "${vnet[1]}" --mac "${vnet[4]}"
      virsh attach-interface "$id" "${vnet[1]}" "${vnet[2]}" --model "${vnet[3]}" --mac "${vnet[4]}"
    fi
  done
done
